<?php

namespace Litecms\File\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ServerTransformer extends TransformerAbstract
{
    public function transform(\Litecms\File\Models\Server $server)
    {
        return [
            'id'                => $server->getRouteKey(),
            'key'               => [
                'public'    => $server->getPublicKey(),
                'route'     => $server->getRouteKey(),
            ], 
            'id_download'       => $server->id_download,
            'judul'             => $server->judul,
            'kategori'          => $server->kategori,
            'nama_file'         => $server->nama_file,
            'tgl_posting'       => $server->tgl_posting,
            'hits'              => $server->hits,
            'PRIMARY'           => $server->PRIMARY,
            'url'               => [
                'public'    => trans_url('file/'.$server->getPublicKey()),
                'user'      => guard_url('file/server/'.$server->getRouteKey()),
            ], 
            'status'            => trans('app.'.$server->status),
            'created_at'        => format_date($server->created_at),
            'updated_at'        => format_date($server->updated_at),
        ];
    }
}